from .manifest_iterators import ManifestIterator
from manifest_edit.plugin.manifest_iterator_plugin import (
    ManifestIteratorPlugin as BaseManifestIteratorPlugin,
)
from manifest_edit.pipeline import FORMAT_M3U8_MEDIA


class ManifestIteratorPlugin(BaseManifestIteratorPlugin):
    """
    An m3u8_media ManifestIteratorPlugin

    """

    supported_format = FORMAT_M3U8_MEDIA

    def __init__(self):
        super().__init__(ManifestIteratorType=ManifestIterator)
